Index: kernel/arch/mips32/src/debugger.c
===================================================================
--- kernel/arch/mips32/src/debugger.c	(revision 1b20da07baaa3e3c424f62c927274e676e4295cd)
+++ kernel/arch/mips32/src/debugger.c	(revision f1380b76772fb5d1aa03637b5e57bd9b929fea61)
@@ -138,10 +138,10 @@
 {
 	unsigned int i;
-	
+
 	for (i = 0; jmpinstr[i].andmask; i++) {
 		if ((instr & jmpinstr[i].andmask) == jmpinstr[i].value)
 			return true;
 	}
-	
+
 	return false;
 }
@@ -158,7 +158,7 @@
 		return 1;
 	}
-	
+
 	irq_spinlock_lock(&bkpoint_lock, true);
-	
+
 	/* Check, that the breakpoints do not conflict */
 	unsigned int i;
@@ -176,9 +176,9 @@
 			return 0;
 		}
-		
-	}
-	
+
+	}
+
 	bpinfo_t *cur = NULL;
-	
+
 	for (i = 0; i < BKPOINTS_MAX; i++) {
 		if (!breakpoints[i].address) {
@@ -187,5 +187,5 @@
 		}
 	}
-	
+
 	if (!cur) {
 		printf("Too many breakpoints.\n");
@@ -193,7 +193,7 @@
 		return 0;
 	}
-	
+
 	printf("Adding breakpoint on address %p\n", (void *) argv->intval);
-	
+
 	cur->address = (uintptr_t) argv->intval;
 	cur->instruction = ((sysarg_t *) cur->address)[0];
@@ -205,16 +205,16 @@
 		cur->bkfunc = (void (*)(void *, istate_t *)) argv[1].intval;
 	}
-	
+
 	if (is_jump(cur->instruction))
 		cur->flags |= BKPOINT_ONESHOT;
-	
+
 	cur->counter = 0;
-	
+
 	/* Set breakpoint */
 	*((sysarg_t *) cur->address) = 0x0d;
 	smc_coherence(cur->address);
-	
+
 	irq_spinlock_unlock(&bkpoint_lock, true);
-	
+
 	return 1;
 }
@@ -229,7 +229,7 @@
 		return 0;
 	}
-	
+
 	irq_spinlock_lock(&bkpoint_lock, true);
-	
+
 	bpinfo_t *cur = &breakpoints[argv->intval];
 	if (!cur->address) {
@@ -238,5 +238,5 @@
 		return 0;
 	}
-	
+
 	if ((cur->flags & BKPOINT_INPROG) && (cur->flags & BKPOINT_ONESHOT)) {
 		printf("Cannot remove one-shot breakpoint in-progress\n");
@@ -244,12 +244,12 @@
 		return 0;
 	}
-	
+
 	((uint32_t *) cur->address)[0] = cur->instruction;
 	smc_coherence(((uint32_t *) cur->address)[0]);
 	((uint32_t *) cur->address)[1] = cur->nextinstruction;
 	smc_coherence(((uint32_t *) cur->address)[1]);
-	
+
 	cur->address = (uintptr_t) NULL;
-	
+
 	irq_spinlock_unlock(&bkpoint_lock, true);
 	return 1;
@@ -262,12 +262,12 @@
 {
 	unsigned int i;
-	
+
 	printf("[nr] [count] [address ] [inprog] [oneshot] [funccall] [in symbol\n");
-	
+
 	for (i = 0; i < BKPOINTS_MAX; i++) {
 		if (breakpoints[i].address) {
 			const char *symbol = symtab_fmt_name_lookup(
 			    breakpoints[i].address);
-			
+
 			printf("%-4u %7zu %p %-8s %-9s %-10s %s\n", i,
 			    breakpoints[i].counter, (void *) breakpoints[i].address,
@@ -278,5 +278,5 @@
 		}
 	}
-	
+
 	return 1;
 }
@@ -290,8 +290,8 @@
 {
 	unsigned int i;
-	
+
 	for (i = 0; i < BKPOINTS_MAX; i++)
 		breakpoints[i].address = (uintptr_t) NULL;
-	
+
 #ifdef CONFIG_KCONSOLE
 	cmd_initialize(&bkpts_info);
@@ -299,15 +299,15 @@
 		log(LF_OTHER, LVL_WARN, "Cannot register command %s",
 		    bkpts_info.name);
-	
+
 	cmd_initialize(&delbkpt_info);
 	if (!cmd_register(&delbkpt_info))
 		log(LF_OTHER, LVL_WARN, "Cannot register command %s",
 		    delbkpt_info.name);
-	
+
 	cmd_initialize(&addbkpt_info);
 	if (!cmd_register(&addbkpt_info))
 		log(LF_OTHER, LVL_WARN, "Cannot register command %s",
 		    addbkpt_info.name);
-	
+
 	cmd_initialize(&addbkpte_info);
 	if (!cmd_register(&addbkpte_info))
@@ -331,11 +331,11 @@
 	if (cp0_cause_read() & 0x80000000)
 		panic("Breakpoint in branch delay slot not supported.");
-	
+
 	irq_spinlock_lock(&bkpoint_lock, false);
-	
+
 	bpinfo_t *cur = NULL;
 	uintptr_t fireaddr = istate->epc;
 	unsigned int i;
-	
+
 	for (i = 0; i < BKPOINTS_MAX; i++) {
 		/* Normal breakpoint */
@@ -345,5 +345,5 @@
 			break;
 		}
-		
+
 		/* Reinst only breakpoint */
 		if ((breakpoints[i].flags & BKPOINT_REINST) &&
@@ -353,5 +353,5 @@
 		}
 	}
-	
+
 	if (cur) {
 		if (cur->flags & BKPOINT_REINST) {
@@ -359,17 +359,17 @@
 			((uint32_t *) cur->address)[0] = 0x0d;
 			smc_coherence(((uint32_t *)cur->address)[0]);
-			
+
 			/* Return back the second */
 			((uint32_t *) cur->address)[1] = cur->nextinstruction;
 			smc_coherence(((uint32_t *) cur->address)[1]);
-			
+
 			cur->flags &= ~BKPOINT_REINST;
 			irq_spinlock_unlock(&bkpoint_lock, false);
 			return;
 		}
-		
+
 		if (cur->flags & BKPOINT_INPROG)
 			printf("Warning: breakpoint recursion\n");
-		
+
 		if (!(cur->flags & BKPOINT_FUNCCALL)) {
 			printf("***Breakpoint %u: %p in %s.\n", i,
@@ -377,5 +377,5 @@
 			    symtab_fmt_name_lookup(fireaddr));
 		}
-		
+
 		/* Return first instruction back */
 		((uint32_t *)cur->address)[0] = cur->instruction;
@@ -392,12 +392,12 @@
 		    (void *) fireaddr,
 		    symtab_fmt_name_lookup(fireaddr));
-		
+
 		/* Move on to next instruction */
 		istate->epc += 4;
 	}
-	
+
 	if (cur)
 		cur->counter++;
-	
+
 	if (cur && (cur->flags & BKPOINT_FUNCCALL)) {
 		/* Allow zero bkfunc, just for counting */
@@ -414,12 +414,12 @@
 		atomic_set(&haltstate, 1);
 		irq_spinlock_unlock(&bkpoint_lock, false);
-		
+
 		kconsole("debug", "Debug console ready.\n", false);
-		
+
 		irq_spinlock_lock(&bkpoint_lock, false);
 		atomic_set(&haltstate, 0);
 #endif
 	}
-	
+
 	if ((cur) && (cur->address == fireaddr)
 	    && ((cur->flags & BKPOINT_INPROG))) {
@@ -427,9 +427,9 @@
 		if ((cur->flags & BKPOINT_ONESHOT))
 			cur->address = (uintptr_t) NULL;
-		
+
 		/* Remove in-progress flag */
 		cur->flags &= ~BKPOINT_INPROG;
 	}
-	
+
 	irq_spinlock_unlock(&bkpoint_lock, false);
 }
